components know about their parent dialog via the DialogNotifier interface. It allows a component to notify parent of changing contents.

### Hierarchy

- SuiDialogNotifier
  - SuiDialogBase

## Index

### Constructors

- constructor

### Accessors

- dgDom

### Methods

- changed
- getEventSource
- getId
- getModifier
- getStaticText
- getView

## Constructors

### constructor

- new SuiDialogNotifier(): SuiDialogNotifier

- #### Returns SuiDialogNotifier

## Accessors

### Abstract dgDom

- get dgDom(): any

- - Defined in src/ui/dialogs/components/baseComponent.ts:81

  returns the top DOM node for the dialog

  #### Returns any

## Methods

### Abstract changed

- changed(): void

- - Defined in src/ui/dialogs/components/baseComponent.ts:73

  Called by the component when the state is changed. Dialog will then query the component (getValue()) and set the correct score value.

  #### Returns void

### Abstract getEventSource

- getEventSource(): BrowserEventSource

- - Defined in src/ui/dialogs/components/baseComponent.ts:99

  Used by text editing components that are also event sinks

  #### Returns BrowserEventSource

### Abstract getId

- getId(): string

- - Defined in src/ui/dialogs/components/baseComponent.ts:77

  returns the DOM id of the dialog.

  #### Returns string

### Abstract getModifier

- getModifier(): null | SmoModifier

- - Defined in src/ui/dialogs/components/baseComponent.ts:90

  gets the 'modifier' from parent dialog, used by text editors. Most components won't need this.

  #### Returns null | SmoModifier

### Abstract getStaticText

- getStaticText(): Record<string, string>

- - Defined in src/ui/dialogs/components/baseComponent.ts:95

  Gets the static text <string, string> for the current language. this is used by components that have different text labels for different states.

  #### Returns Record<string, string>

### Abstract getView

- getView(): SuiScoreViewOperations

- - Defined in src/ui/dialogs/components/baseComponent.ts:85

  gets the view from the parent

  #### Returns SuiScoreViewOperations

Generated using TypeDoc